%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate font-kit

Name:           rust-font-kit
Version:        0.11.0
Release:    1%{?dist}
Summary:        Cross-platform font loading library

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/font-kit
Source0:         %{crates_source}
Patch:          font-kit-fix-metadata-auto.diff
Patch:          font-kit-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A cross-platform font loading library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+freetype-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+freetype-devel %{_description}

This package contains library source intended for building other packages which
use the "freetype" feature of the "%{crate}" crate.

%files       -n %{name}+freetype-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+loader-freetype-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+loader-freetype-devel %{_description}

This package contains library source intended for building other packages which
use the "loader-freetype" feature of the "%{crate}" crate.

%files       -n %{name}+loader-freetype-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+loader-freetype-default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+loader-freetype-default-devel %{_description}

This package contains library source intended for building other packages which
use the "loader-freetype-default" feature of the "%{crate}" crate.

%files       -n %{name}+loader-freetype-default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+source-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+source-devel %{_description}

This package contains library source intended for building other packages which
use the "source" feature of the "%{crate}" crate.

%files       -n %{name}+source-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+source-fontconfig-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+source-fontconfig-devel %{_description}

This package contains library source intended for building other packages which
use the "source-fontconfig" feature of the "%{crate}" crate.

%files       -n %{name}+source-fontconfig-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+source-fontconfig-default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+source-fontconfig-default-devel %{_description}

This package contains library source intended for building other packages which
use the "source-fontconfig-default" feature of the "%{crate}" crate.

%files       -n %{name}+source-fontconfig-default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+source-fontconfig-dlopen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+source-fontconfig-dlopen-devel %{_description}

This package contains library source intended for building other packages which
use the "source-fontconfig-dlopen" feature of the "%{crate}" crate.

%files       -n %{name}+source-fontconfig-dlopen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+yeslogic-fontconfig-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+yeslogic-fontconfig-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "yeslogic-fontconfig-sys" feature of the "%{crate}" crate.

%files       -n %{name}+yeslogic-fontconfig-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-1
- initial build
